## NMIP4Config

NMIP4Config

## Functions

GObject * | nm_ip4_config_new ()
const char * | nm_ip4_config_get_gateway ()
const GSList * | nm_ip4_config_get_addresses ()
const GSList * | nm_ip4_config_get_routes ()
const GArray * | nm_ip4_config_get_nameservers ()
const GPtrArray * | nm_ip4_config_get_domains ()
const GPtrArray * | nm_ip4_config_get_searches ()
const GArray * | nm_ip4_config_get_wins_servers ()

## Properties

gpointer | addresses | Read
NMStringArray * | domains | Read
gchar * | gateway | Read
NMUintArray * | nameservers | Read
gpointer | routes | Read
NMStringArray * | searches | Read
NMUintArray * | wins-servers | Read

## Types and Values

#define | NM_IP4_CONFIG_GATEWAY
#define | NM_IP4_CONFIG_ADDRESSES
#define | NM_IP4_CONFIG_ROUTES
#define | NM_IP4_CONFIG_NAMESERVERS
#define | NM_IP4_CONFIG_DOMAINS
#define | NM_IP4_CONFIG_SEARCHES
#define | NM_IP4_CONFIG_WINS_SERVERS

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMIP4Config

## Description

## Functions

### nm_ip4_config_new ()

    GObject *
    nm_ip4_config_new (DBusGConnection *connection,
                       const char *object_path);

Creates a new NMIP4Config.

#### Parameters

connection | the DBusGConnection |
object_path | the DBus object path of the device |

#### Returns

a new IP4 configuration.

[transfer full]

### nm_ip4_config_get_gateway ()

    const char *
    nm_ip4_config_get_gateway (NMIP4Config *config);

Gets the IP4 gateway address.

#### Parameters

config | a NMIP4Config |

#### Returns

the IP4 address of the gateway.

Since: 0.9.10

### nm_ip4_config_get_addresses ()

    const GSList *
    nm_ip4_config_get_addresses (NMIP4Config *config);

Gets the IP4 addresses (containing the address, prefix, and gateway).

#### Parameters

config | a NMIP4Config |

#### Returns

the GSList containing NMIP4Addresses. This is the internal copy used by the configuration and must not be modified.

[element-type NMIP4Address]

### nm_ip4_config_get_routes ()

    const GSList *
    nm_ip4_config_get_routes (NMIP4Config *config);

Gets the routes.

#### Parameters

config | a NMIP4Config |

#### Returns

the GSList containing NMIP4Routes. This is the internal copy used by the configuration, and must not be modified.

[element-type NMIP4Route]

### nm_ip4_config_get_nameservers ()

    const GArray *
    nm_ip4_config_get_nameservers (NMIP4Config *config);

Gets the domain name servers (DNS).

#### Parameters

config | a NMIP4Config |

#### Returns

the GArray containing guint32s. This is the internal copy used by the configuration and must not be modified.

[element-type guint32]

### nm_ip4_config_get_domains ()

    const GPtrArray *
    nm_ip4_config_get_domains (NMIP4Config *config);

Gets the domain names.

#### Parameters

config | a NMIP4Config |

#### Returns

the GPtrArray containing domains as strings. This is the internal copy used by the configuration, and must not be modified.

[element-type utf8]

### nm_ip4_config_get_searches ()

    const GPtrArray *
    nm_ip4_config_get_searches (NMIP4Config *config);

Gets the dns searches.

#### Parameters

config | a NMIP4Config |

#### Returns

the GPtrArray containing dns searches as strings. This is the internal copy used by the configuration, and must not be modified.

[element-type utf8]

Since: 0.9.10

### nm_ip4_config_get_wins_servers ()

    const GArray *
    nm_ip4_config_get_wins_servers (NMIP4Config *config);

Gets the Windows Internet Name Service servers (WINS).

#### Parameters

config | a NMIP4Config |

#### Returns

the GArray containing guint32s. This is the internal copy used by the configuration and must not be modified.

[element-type guint32]

## Types and Values

### NM_IP4_CONFIG_GATEWAY

    #define NM_IP4_CONFIG_GATEWAY "gateway"

### NM_IP4_CONFIG_ADDRESSES

    #define NM_IP4_CONFIG_ADDRESSES "addresses"

### NM_IP4_CONFIG_ROUTES

    #define NM_IP4_CONFIG_ROUTES "routes"

### NM_IP4_CONFIG_NAMESERVERS

    #define NM_IP4_CONFIG_NAMESERVERS "nameservers"

### NM_IP4_CONFIG_DOMAINS

    #define NM_IP4_CONFIG_DOMAINS "domains"

### NM_IP4_CONFIG_SEARCHES

    #define NM_IP4_CONFIG_SEARCHES "searches"

### NM_IP4_CONFIG_WINS_SERVERS

    #define NM_IP4_CONFIG_WINS_SERVERS "wins-servers"

## Property Details

### The `“addresses”` property

      “addresses”                gpointer

The GPtrArray containing NMIP4Addresses of the configuration.

Owner: NMIP4Config

Flags: Read

### The `“domains”` property

      “domains”                  NMStringArray *

The GPtrArray containing domain strings of the configuration.

Owner: NMIP4Config

Flags: Read

### The `“gateway”` property

      “gateway”                  gchar *

The IP4 gateway address of the configuration as string.

Owner: NMIP4Config

Flags: Read

Default value: NULL

Since: 0.9.10

### The `“nameservers”` property

      “nameservers”              NMUintArray *

The GArray containing name servers (guint32s) of the configuration.

Owner: NMIP4Config

Flags: Read

### The `“routes”` property

      “routes”                   gpointer

The GPtrArray containing NMSettingIP4Routes of the configuration.

Owner: NMIP4Config

Flags: Read

### The `“searches”` property

      “searches”                 NMStringArray *

The GPtrArray containing dns search strings of the configuration.

Owner: NMIP4Config

Flags: Read

Since: 0.9.10

### The `“wins-servers”` property

      “wins-servers”             NMUintArray *

The GArray containing WINS servers (guint32s) of the configuration.

Owner: NMIP4Config

Flags: Read